Subject: Re: git mergetool ignores configured command line

From: Andreas Schwab <[email-masked]>
Date: Sun, 23 Oct 2011 10:37:49 +0200

Alexander Vladimirov <[email-masked]> writes:

> To configure diffuse as merge tool I set mergetool configuration using
> following commands:
>
> git config --global merge.tool diffuse
> git config --global mergetool.diffuse.cmd '/usr/bin/diffuse "$LOCAL"
> "$MERGED" "$REMOTE"'
>
> Then, when I invoke mergetool during merge, I get diffuse with four
> panes open as by default, instead of three specified in command line
> setting.
> Is this an expected behavior, and how can I force mergetool to use
> provided command line?

diffuse is already a predefined merge tool, so mergetool.diffuse.cmd is
ignored.  Try using a different name.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."